<form class="{{cssClass}}" autocomplete="off">

    {{!-- Character Sheet Sections --}}
    <div class="sheet-section-container">

        <div class="sheet-fixed-container">
            <div class="character-profile-container">
                <div class="profile-img-container">
                    <img class="profile-img" src="{{actor.img}}" data-edit="img" title="{{actor.name}}">
                    <div class="status-column">
                        <div class="vertical-flex-container">
                            <img id="wound-icon" src="icons/skills/wounds/blood-drip-droplet-red.webp" title="Wounded {{actor.system.woundPenalty}}">
                            <img id="enc-icon" src="icons/containers/bags/pack-leather-brown.webp" title="{{actor.system.carry_rating.label}} {{actor.system.carry_rating.penalty}}">
                        </div>
                    </div>
                </div>
                <nav class="sheet-tabs tabs" data-group="primary">
                    <a class="item" data-tab="core">Core</a>
                    <a class="item" data-tab="combat">Combat</a>
                    <a class="item" data-tab="magic">Magic</a>
                    <a class="item" data-tab="equipment">Items</a>
                </nav>
                <div>
                    <h1 class="charname"><input type="text" name="name" value="{{actor.name}}" placeholder="Name"></h1>
                </div>
            </div>
            <div class="fixed-data-container">
                <div class="resourceBars">
                    <div id="hpResource">
                        <div class="resourceLabel">
                            <button type="button" data-resource="hp">Health</button>
                            <div class="resourceButton">
                                <i data-action="increase" data-resource="hp" class="fas fa-angle-up incrementResource"></i>
                                <i data-action="decrease" data-resource="hp" class="fas fa-angle-down incrementResource"></i>
                            </div>
                        </div>
                        <div class="maxBar" data-resource="hp">
                            <div class="bar-values">
                                <input type="number" name="system.hp.value" value="{{actor.system.hp.value}}"> / <label>{{actor.system.hp.max}}</label>
                            </div>
                            <div id="hpBar" class="currentBar" data-resource="hp"></div>
                        </div>
                    </div>
                    <div id="staminaResource">
                        <div class="resourceLabel">
                            <button type="button" data-resource="stamina">Stamina</button>
                            <div class="resourceButton">
                                <i data-action="increase" data-resource="stamina" class="fas fa-angle-up incrementResource"></i>
                                <i data-action="decrease" data-resource="stamina" class="fas fa-angle-down incrementResource"></i>
                            </div>
                        </div>
                        <div class="maxBar" data-resource="hp">
                            <div class="bar-values">
                                <input type="number" name="system.stamina.value" value="{{actor.system.stamina.value}}"> / <label>{{actor.system.stamina.max}}</label>
                            </div>
                            <div id="staminaBar" class="currentBar" data-resource="stamina"></div>
                        </div>
                    </div>
                    <div id="magickaResource">
                        <div class="resourceLabel">
                            <button type="button" data-resource="magicka">Magicka</button>
                            <div class="resourceButton">
                                <i data-action="increase" data-resource="magicka" class="fas fa-angle-up incrementResource"></i>
                                <i data-action="decrease" data-resource="magicka" class="fas fa-angle-down incrementResource"></i>
                            </div>
                        </div>
                        <div class="maxBar" data-resource="hp">
                            <div class="bar-values">
                                <input type="number" name="system.magicka.value" value="{{actor.system.magicka.value}}"> / <input type="number" name="system.magicka.max" value="{{actor.system.magicka.max}}">
                            </div>
                            <div id="magickaBar" class="currentBar" data-resource="magicka"></div>
                        </div>
                    </div>
                </div>

                <div class="characteristics-container">
                    <h2>
                        <button type="button" class="setBaseCharacteristics">Set</button>
                        <div>Characteristics</div>
                    </h2>
                    <div class="characteristic-entry-container">
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="system.characteristics.for.favored" {{checked actor.system.characteristics.for.favored}}>
                            <div id="for" name="Force" class="characteristic-roll styled-font rollable">Force</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{actor.system.characteristics.for.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="system.characteristics.int.favored" {{checked actor.system.characteristics.int.favored}}>
                            <div id="int" name="Intelligence" class="characteristic-roll styled-font rollable">Intelligence</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{actor.system.characteristics.int.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="system.characteristics.elo.favored" {{checked actor.system.characteristics.elo.favored}}>
                            <div id="elo" name="Eloquence" class="characteristic-roll styled-font rollable">Eloquence</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{actor.system.characteristics.elo.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="system.characteristics.prc.favored" {{checked actor.system.characteristics.prc.favored}}>
                            <div id="prc" name="Perception" class="characteristic-roll styled-font rollable">Perception</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{actor.system.characteristics.prc.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="system.characteristics.sag.favored" {{checked actor.system.characteristics.sag.favored}}>
                            <div id="sag" name="Sagesse" class="characteristic-roll styled-font rollable">Sagesse</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{actor.system.characteristics.sag.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="system.characteristics.agi.favored" {{checked actor.system.characteristics.agi.favored}}>
                            <div id="agi" name="Agilite" class="characteristic-roll styled-font rollable">Agilite</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{actor.system.characteristics.agi.total}}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <section class="sheet-body">
            <div class="tab core" data-group="primary" data-tab="core">
                <div class="tabContainer">
                    <div class="about-buttons">
                        <div class="npc-button-stats">
                            <div>
                                <div class="styled-font">Soul Energy</div>
                                <input type="text" name="system.soul_energy" placeholder="Soul Energy" value="{{actor.system.soul_energy}}">
                            </div>
                            <div>
                                <div class="styled-font">Race</div>
                                <input type="text" placeholder="Race" value="{{actor.system.race}}">
                            </div>
                            <div>
                                <div class="styled-font">Threat</div>
                                <select name="system.threat" data-type="String">
                                    {{#select actor.system.threat}}
                                    {{#each actor.system.threatCategory as |threatCategory key|}}
                                    <option value="{{key}}">{{threatCategory}}</option> 
                                    {{/each}} {{/select}}
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="skillContainer">
                        <h2 class="headerWithButton">
                            <label>Professions</label>
                        </h2>
                        <ul class="skillList">
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Combat" id="combat"></i>
                                    <img class="item-img" src="icons/skills/melee/weapons-crossed-swords-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">Combat</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="system.professions.combat" value="{{actor.system.professions.combat}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Evade" id="evade"></i>
                                    <img class="item-img" src="icons/skills/movement/arrow-upward-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">Evade</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="system.professions.evade" value="{{actor.system.professions.evade}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Knowledge" id="knowledge"></i>
                                    <img class="item-img" src="icons/skills/trades/academics-study-reading-book.webp" title="Send to Chat"/>
                                    <div class="skill-name">Knowledge</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="system.professions.knowledge" value="{{actor.system.professions.knowledge}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Magic" id="magic"></i>
                                    <img class="item-img" src="icons/sundries/books/book-open-purple.webp" title="Send to Chat"/>
                                    <div class="skill-name">Magic</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="system.professions.magic" value="{{actor.system.professions.magic}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Observe" id="observe"></i>
                                    <img class="item-img" src="icons/magic/perception/eye-ringed-green.webp" title="Send to Chat"/>
                                    <div class="skill-name">Observe</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="system.professions.observe" value="{{actor.system.professions.observe}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Physical" id="physical"></i>
                                    <img class="item-img" src="icons/skills/melee/unarmed-punch-fist.webp" title="Send to Chat"/>
                                    <div class="skill-name">Physical</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="system.professions.physical" value="{{actor.system.professions.physical}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Social" id="social"></i>
                                    <img class="item-img" src="icons/skills/social/diplomacy-peace-alliance.webp" title="Send to Chat"/>
                                    <div class="skill-name">Social</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="system.professions.social" value="{{actor.system.professions.social}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Stealth" id="stealth"></i>
                                    <img class="item-img" src="systems/beria-system/images/Icons/invisible.webp" title="Send to Chat"/>
                                    <div class="skill-name">Stealth</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="system.professions.stealth" value="{{actor.system.professions.stealth}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="{{actor.system.skills.commerce.specialization}}" id="commerce"></i>
                                    <img class="item-img" src="icons/skills/social/trading-justice-scale-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">
                                        <div class="skill-name">Commerce</div>
                                    </div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="system.skills.commerce.tn" value="{{actor.system.skills.commerce.tn}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="{{actor.system.skills.profession1.specialization}}" id="profession1"></i>
                                    <img class="item-img" src="icons/skills/social/trading-justice-scale-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">
                                        <input type="text" placeholder="Profession 1" name="system.skills.profession1.specialization" value="{{actor.system.skills.profession1.specialization}}">
                                    </div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="system.skills.profession1.tn" value="{{actor.system.skills.profession1.tn}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="{{actor.system.skills.profession2.specialization}}" id="profession2"></i>
                                    <img class="item-img" src="icons/skills/social/trading-justice-scale-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">
                                        <input type="text" placeholder="Profession 2" name="system.skills.profession2.specialization" value="{{actor.system.skills.profession2.specialization}}">
                                    </div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="system.skills.profession2.tn" value="{{actor.system.skills.profession2.tn}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="{{actor.system.skills.profession3.specialization}}" id="profession3"></i>
                                    <img class="item-img" src="icons/skills/social/trading-justice-scale-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">
                                        <input type="text" placeholder="Profession 3" name="system.skills.profession3.specialization" value="{{actor.system.skills.profession3.specialization}}">
                                    </div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="system.skills.profession3.tn" value="{{actor.system.skills.profession3.tn}}"/>%</div>
                                </div>
                            </li>
                        </ul>
                    </div>

                    <div class="two-column-flex-container">
                        <div class="languageContainer">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="language">+</button>
                                <label>Languages</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.language as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                        <div class="factionContainer">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="faction">+</button>
                                <label>Factions</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.faction as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                    </div>

                    <div class="bioPage">
                        <h2>Biography</h2>
                        <div class="contentContainer">
                            {{editor actor.system.bio target="system.bio"  button=true owner=owner editable=editable}}
                        </div>
                    </div>

                </div>
            </div>

            <div class="tab combat" data-group="primary" data-tab="combat">
                <div class="combatTabContainer">
                    <div class="combat-tab-primary-header">
                        <div class="combat-stats-container">
                            <div class="combat-stat">
                                <div class="stat-value-label">{{actor.system.speed.value}}</div>
                                <div class="flex-container">
                                    <div class="small-text-label">Speed</div>
                                </div>
                            </div>
                            <div class="combat-stat">
                                <div class="stat-value-label">
                                    <div class="flex-container-input">
                                        <input type="number" name="system.action_points.value" value="{{actor.system.action_points.value}}">
                                        /
                                        <input type="number" name="system.action_points.max" value="{{actor.system.action_points.max}}">
                                    </div>
                                </div>
                                <div class="flex-container">
                                    <div class="small-text-label">AP</div>
                                </div>
                            </div>
                            <div class="combat-stat">
                                <div class="stat-value-label">{{actor.system.speed.swimSpeed}}</div>
                                <div class="flex-container">
                                    <div class="small-text-label">Swim</div>
                                </div>
                            </div>
                            <div class="combat-stat">
                                <div class="stat-value-label">{{actor.system.wound_threshold.value}}</div>
                                <div class="flex-container">
                                    <div class="small-text-label">Wound</div>
                                </div>
                            </div>
                            <div class="combat-stat">
                                <div class="stat-value-label">{{actor.system.speed.flySpeed}}</div>
                                <div class="flex-container">
                                    <div class="small-text-label">Fly</div>
                                </div>
                            </div>
                            <div class="combat-stat">
                                <div class="stat-value-label">{{actor.system.initiative.value}}</div>
                                <div class="flex-container">
                                    <div class="small-text-label">Initiative</div>
                                </div>
                            </div>
                        </div>
                        <div class="resistance-container">
                            <h2>Resistances</h2>
                            <div class="resistance-grid">
                                <div class="flex-container">
                                    <div>Fire</div>
                                    <div class="styled-font-red center-align">{{actor.system.resistance.fireR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Frost</div>
                                    <div class="styled-font-red center-align">{{actor.system.resistance.frostR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Shock</div>
                                    <div class="styled-font-red center-align">{{actor.system.resistance.shockR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Magic</div>
                                    <div class="styled-font-red center-align">{{actor.system.resistance.magicR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Poison</div>
                                    <div class="styled-font-red center-align">{{actor.system.resistance.poisonR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Silver</div>
                                    <div class="styled-font-red center-align">{{actor.system.resistance.silverR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Sunlight</div>
                                    <div class="styled-font-red center-align">{{actor.system.resistance.sunlightR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Toughness</div>
                                    <div class="styled-font-red center-align">{{actor.system.resistance.natToughness}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Disease</div>
                                    <div class="styled-font-red center-align">{{actor.system.resistance.diseaseR}}%</div>
                                </div>
                            </div>
                        </div>
                        <div class="status-controls-container">
                            <h2>Status</h2>
                            <div class="status-grid-container">
                                <div class="flex-container">
                                    <div>Wounded</div>
                                    <input title="Wounded" class="woundCheckBox checkbox" type="checkbox" name="system.wounded" {{checked actor.system.wounded}}>
                                </div>
                                <div class="flex-container">
                                    <div>ENC</div>
                                    <label title="{{actor.system.carry_rating.current}} / {{actor.system.carry_rating.max}}">{{actor.system.carry_rating.label}}</label>
                                </div>
                                <div class="flex-container">
                                    <div>Size</div>
                                    <select name="system.size" data-type="String">
                                        {{#select actor.system.size}}
                                        {{#each actor.system.size_cat as |size_cat key|}}
                                        <option value="{{key}}">{{size_cat}}</option> 
                                        {{/each}} {{/select}}
                                    </select>
                                </div>
                                <div class="flex-container">
                                    <div>AC</div>
                                    <select name="system.armor_class" data-type="String">
                                        {{#select actor.system.armor_class}}
                                        {{#each actor.system.armor_class_cat as |armor_class_cat key|}}
                                        <option value="{{key}}">{{armor_class_cat}}</option> 
                                        {{/each}} {{/select}}
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="combat-item-container">
                        <div class="combat-button-container">
                            <div class="combat-button professions-roll" name="Combat" id="combat">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{actor.system.professions.combat}}</div>
                                    <div class="combat-button-label">Combat</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Magic" id="magic">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{actor.system.professions.magic}}</div>
                                    <div class="combat-button-label">Magic</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Evade" id="evade">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{actor.system.professions.evade}}</div>
                                    <div class="combat-button-label">Evade</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Physical" id="physical">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{actor.system.professions.physical}}</div>
                                    <div class="combat-button-label">Physical</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Observe" id="observe">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{actor.system.professions.observe}}</div>
                                    <div class="combat-button-label">Observe</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Stealth" id="stealth">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{actor.system.professions.stealth}}</div>
                                    <div class="combat-button-label">Stealth</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Social" id="social">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{actor.system.professions.social}}</div>
                                    <div class="combat-button-label">Social</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Knowledge" id="knowledge">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{actor.system.professions.knowledge}}</div>
                                    <div class="combat-button-label">Knowledge</div>
                                </div>
                            </div>
                        </div>

                        <table class="weapon-table">
                            <thead>
                                <tr>
                                    <th class="item-name-cell equip-items" id="weapon">Equip Weapons</th>
                                    <th>Damage</th>
                                    <th>Reach</th>
                                    <th>2H</th>
                                    <th class="right-align-cell"><i class="fas fa-trash"></i></th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each actor.weapon.equipped as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <i class="fas fa-dice-d20 damage-roll"></i>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td class="damage-entry">{{item.system.damage3}}</td>
                                        <td>{{item.system.reach}}</td>
                                        <td><input class="toggle2H checkbox" type="checkbox" {{checked item.system.weapon2H}} title="Toggle 2H Damage"></td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                            </tbody>
                        </table>

                        <table class="ammunition-table">
                            <thead>
                                <tr>
                                    <th class="item-name-cell equip-items" id="ammunition">Equip Ammo</th>
                                    <th>Bonus</th>
                                    <th>Qty</th>
                                    <th class="right-align-cell"><i class="fas fa-trash"></i></th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each actor.ammunition.equipped as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <i class="fas fa-dice-d20 ammo-roll"></i>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td>{{item.system.damage}}</td>
                                        <td><button class="minusQty plusQty" title="Click to Increase, right-click to decrease">{{item.system.quantity}}</button></td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                            </tbody>
                        </table>

                        <table class="armor-table">
                            <thead>
                                <tr>
                                    <th class="item-name-cell equip-items" id="armor" data-alt-type="item">Equip Armor</th>
                                    <th>AR</th>
                                    <th>MR</th>
                                    <th>BR</th>
                                    <th class="right-align-cell"><i class="fas fa-trash"></i></th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each actor.armor.equipped as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <input type="checkbox" class="itemEquip checkbox" name="system.equipped" {{checked item.system.equipped}}>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td>{{item.system.armor}}</td>
                                        <td>{{item.system.magic_ar}}</td>
                                        <td>{{item.system.blockRating}}</td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                                {{#each actor.gear.equipped as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <input type="checkbox" class="itemEquip checkbox" name="system.equipped" {{checked item.system.equipped}}>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td>-</td>
                                        <td>-</td>
                                        <td>-</td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                            </tbody>
                        </table>
                    </div>

                    <div class="three-column-flex-container">
                        <div class="trait-container">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="trait">+</button>
                                <label>Traits</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.trait as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                        <div class="talent-container">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="talent">+</button>
                                <label>Talents</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.talent as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                        <div class="power-container">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="power">+</button>
                                <label>Powers</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.power as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                    </div>
                </div>
            </div>

            <div class="tab magic" data-group="primary" data-tab="magic">
                <div class="magicTabContainer">
                    <div class="combat-button-container">
                        <div class="combat-button professions-roll" name="Combat" id="combat">
                            <div class="flex-container">
                                <div class="combat-button-value">{{actor.system.professions.combat}}</div>
                                <div class="combat-button-label">Combat</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Magic" id="magic">
                            <div class="flex-container">
                                <div class="combat-button-value">{{actor.system.professions.magic}}</div>
                                <div class="combat-button-label">Magic</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Evade" id="evade">
                            <div class="flex-container">
                                <div class="combat-button-value">{{actor.system.professions.evade}}</div>
                                <div class="combat-button-label">Evade</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Physical" id="physical">
                            <div class="flex-container">
                                <div class="combat-button-value">{{actor.system.professions.physical}}</div>
                                <div class="combat-button-label">Physical</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Observe" id="observe">
                            <div class="flex-container">
                                <div class="combat-button-value">{{actor.system.professions.observe}}</div>
                                <div class="combat-button-label">Observe</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Stealth" id="stealth">
                            <div class="flex-container">
                                <div class="combat-button-value">{{actor.system.professions.stealth}}</div>
                                <div class="combat-button-label">Stealth</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Social" id="social">
                            <div class="flex-container">
                                <div class="combat-button-value">{{actor.system.professions.social}}</div>
                                <div class="combat-button-label">Social</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Knowledge" id="knowledge">
                            <div class="flex-container">
                                <div class="combat-button-value">{{actor.system.professions.knowledge}}</div>
                                <div class="combat-button-label">Knowledge</div>
                            </div>
                        </div>
                    </div>
                    <div class="spellListContainer">
                        <div class="spellList">
                            <table>
                                <thead>
                                    <tr>
                                        <th class="item-create item-name-cell" id="spell">+ Spell</th>
                                        <th>MP Cost</th>
                                        <th>
                                            <select id="spellFilter">
                                                <option>All</option>
                                            </select>
                                        </th>
                                        <th><i class="fas fa-trash"></i></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {{#each actor.spell as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-spell-school="{{item.system.school}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <i class="fas fa-dice-d20 magic-roll"></i>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>{{item.system.cost}}</td>
                                            <td>{{item.system.school}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

            <div class="tab equipment" data-group="primary" data-tab="equipment">
                <div class="equipmentTabContainer">
                    <div class="itemListContainer">
                        <div class="tableListHeader">
                            <div class="equipment-info-container">
                                <div class="wealthContainer">
                                    <h2>Wealth</h2>
                                    <input type="number" name="system.wealth" value="{{actor.system.wealth}}">
                                    <button type="button" class="wealthCalc">Add/Subtract</button>
                                </div>
                                <div class="encContainer">
                                    <h2>Encumbrance</h2>
                                    <div class="encLabel">{{actor.system.carry_rating.current}} / {{actor.system.carry_rating.max}} ENC</div>
                                    <button type="button" class="carryBonus">Set Carry Bonus</button>
                                </div>
                            </div>
                        </div>

                        <div class="containerList">
                            <table>
                                <thead>
                                    <tr>
                                        <th class="item-name-cell item-create" id="container">+ Container</th>
                                        <th title="ENC Value of the empty container / ENC Value applied to carry limit">ENC</th>
                                        <th>Capacity</th>
                                        <th>Item Count</th>
                                        <th><i class="fas fa-trash"></i></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {{#each actor.container as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <input type="checkbox" class="itemEquip checkbox" {{checked system.equipped}} title="Equip">
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td title="ENC/Applied ENC">{{item.system.enc}}/{{item.system.container_enc.applied_enc}}</td>
                                            <td>{{item.system.container_enc.current}}/{{item.system.container_enc.max}}</td>
                                            <td>{{item.system.container_enc.item_count}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                </tbody>
                            </table>
                        </div>

                        <div class="equipmentList">
                            <table>
                                <thead>
                                    <tr>
                                        <th class="item-name-cell item-create" id="createSelect">+ Item</th>
                                        <th>
                                            <select id="itemFilter">
                                                <option>All</option>
                                            </select>
                                        </th>
                                        <th>ENC</th>
                                        <th>Price</th>
                                        <th><i class="fas fa-trash"></i></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {{#each actor.gear.unequipped as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <button type="button" class="minusQty plusQty" title="Click to increase, right click to decrease">
                                                            <div>{{item.system.quantity}}</div>
                                                        </button>
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    {{#if item.system.containerStats.contained}}
                                                        <i title="Open Container" class="fa-solid fa-backpack" data-container-id="{{item.system.containerStats.container_id}}"></i>
                                                    {{/if}}
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>item</td>
                                            <td>{{item.system.enc}}</td>
                                            <td>{{item.system.price}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                    {{#each actor.armor.unequipped as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <button type="button" class="minusQty plusQty" title="Click to increase, right click to decrease">
                                                            <div>{{item.system.quantity}}</div>
                                                        </button>
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    {{#if item.system.containerStats.contained}}
                                                        <i title="Open Container" class="fa-solid fa-backpack" data-container-id="{{item.system.containerStats.container_id}}"></i>
                                                    {{/if}}
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>armor</td>
                                            <td>{{item.system.enc}}</td>
                                            <td>{{item.system.price}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                    {{#each actor.weapon.unequipped as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <button type="button" class="minusQty plusQty" title="Click to increase, right click to decrease">
                                                            <div>{{item.system.quantity}}</div>
                                                        </button>
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    {{#if item.system.containerStats.contained}}
                                                        <i title="Open Container" class="fa-solid fa-backpack" data-container-id="{{item.system.containerStats.container_id}}"></i>
                                                    {{/if}}
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>weapon</td>
                                            <td>{{item.system.enc}}</td>
                                            <td>{{item.system.price}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                    {{#each actor.ammunition.unequipped as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <button type="button" class="minusQty plusQty" title="Click to increase, right click to decrease">
                                                            <div>{{item.system.quantity}}</div>
                                                        </button>
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    {{#if item.system.containerStats.contained}}
                                                        <i title="Open Container" class="fa-solid fa-backpack" data-container-id="{{item.system.containerStats.container_id}}"></i>
                                                    {{/if}}
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>ammo</td>
                                            <td>{{item.system.enc}}</td>
                                            <td>{{item.system.price}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    </div>
</form>
